[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellListView

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: shellctrls.pas line 138

`type TCustomShellListView = class(TCustomListView)`
`protected`
`procedure PopulateWithRoot;`
`public`
`constructor Create(); override;`
`destructor Destroy; override;`
`function GetPathFromItem();`
`property Mask: String; [rw]`
`property ObjectTypes: TObjectTypes; [rw]`
`property Root: String; [rw]`
`property ShellTreeView: TCustomShellTreeView; [rw]`
`end;`

## Inheritance

`TCustomShellListView`
`TCustomListView` |  | TCustomListView - the base class for TListView
`TWinControl`
?
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.